Robot Simulator of the Robotics Group for Self-Organization of Control: ThisSimulationTaskHandle Struct Reference

# ThisSimulationTaskHandle Struct Reference

Inherits lpzrobots::SimulationTaskHandle.

Collaboration diagram for ThisSimulationTaskHandle:
[legend]

List of all members.

## Public Member Functions
| ThisSimulationTaskHandle ()
| here will the results for the h_yx standing
## Public Attributes
union {
std::vector< Individual * > * individuals
| the individuals, which must be simulated
double * array
| an array of double values, which should be simulated
}; |
int | numberIndividuals
| the number of individuals, which should be simulated
bool | isArraySet
| should be an array simulated
bool | isBestAnimation
| should be the best individual on the end of the algorithm sumulated
bool | isCalculation
| should be one Individual be calculated
int | numberElementsInSnake
TemplateTaskedGaSimulationFitnessStrategy * | fitnessStr
| our fitness strategy
double * | entropies
| if the isCalculation FLAG is set then here will the results standing
double * | mi
| here will the results for the mutual information standing
double * | hx
| here will the results for the h_x standing
double * | hyx
| here will the results for the h_yx standing

## Constructor & Destructor Documentation

ThisSimulationTaskHandle | ( |  | ) | `[inline]`

here will the results for the h_yx standing

## Member Data Documentation

union { ... }

double* array

an array of double values, which should be simulated

double* entropies

if the isCalculation FLAG is set then here will the results standing

must be prepared for NUMBER_OF_TESTS_BY_CALCULATE Elements!!!

TemplateTaskedGaSimulationFitnessStrategy* fitnessStr

our fitness strategy

double* hx

here will the results for the h_x standing

double* hyx

here will the results for the h_yx standing

std::vector<Individual*>* individuals

the individuals, which must be simulated

bool isArraySet

should be an array simulated

bool isBestAnimation

should be the best individual on the end of the algorithm sumulated

bool isCalculation

should be one Individual be calculated

double* mi

here will the results for the mutual information standing

int numberElementsInSnake

int numberIndividuals

the number of individuals, which should be simulated

The documentation for this struct was generated from the following file:

- ga_tools/examples/robot_chain_tasked_GA_Simulation/main.cpp